
Application: gvSIG desktop - gvSIG bugs #5168
Falla el proceso de importacion de accidentes desde ARENA2.
11/26/2019 11:28 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.5.1-3001 (rev. org.gvsig.desktop-2.0.259)
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Cuando tratamos de importar accidentes de ARENA2, falla al intentar cargar los datos de las tablas que no son la de accidentes
(vehiculos, conductores, pasajeros...). Se queja que se esta accediendo a campos que no estan en la tabla que intente copiar. Parece
que los campos a los que esta intentando copiar son de la tabla de accidentes.

Associated revisions
Revision 44615 - 11/26/2019 11:31 AM - Joaquín  del Cerro Murciano

refs #5168 ñapa para que una feature del SimpleSequentialReader devuelva el featuretype que toca.

Revision 44616 - 11/26/2019 04:28 PM - Óscar Martínez

refs #5168 Comprobación si el store permite modificación del ftype en eliminar, añadir columna y en las de añadir mediciones

History
#1 - 11/26/2019 11:29 AM - Joaquín  del Cerro Murciano
- Target version set to 2.5.1-3001 (rev. org.gvsig.desktop-2.0.259)

Al parecer cuando tenemos una tabla (XML, cargado con SimpleSequentialReaderStoreProvider), cuando se le pide a una feature su feature type,
siempre devuelbe el feature type de la tabla principal, en este caso la de accidentes. Por eso falla al intentar copiar los valores de otras tablas que no
son la principal.
Lo solucion pasaria por averiguar porque el StoreServices esta devolviendo el feauturetype que no toca, pero como es dificil de evaluar el impacto y
coste de esta correccion  vamos a deshabilitar la edicion del featuretype de este tipo de tablas, y haremos que en lugar de pedirselo al store services,
devuelba el feature type del proveedor.

Hademas habria que tocar en el interface de usuario, en el gestor de columnas y añadir y eliminar columna, que no esten activos si el proveedor dice
que no soporta modificacion del featuretype (FeatureStoreProviderFactory.allowEditableFeatureType).

#2 - 11/26/2019 04:53 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
#3 - 01/21/2020 07:42 PM - Álvaro Anguix
- Status changed from Fixed to Closed
